import { ComponentID } from '@teambit/component-id';
import { ChangeType } from './change-type';
export declare type PlainLaneComponentDiff = {
    componentId: string;
    sourceHead: string;
    targetHead?: string;
    changes: ChangeType[];
    upToDate: boolean;
};
export declare class LaneComponentDiff {
    readonly componentId: ComponentID;
    readonly changes: ChangeType[];
    readonly upToDate: boolean;
    readonly sourceHead: string;
    readonly targetHead?: string;
    constructor(componentId: ComponentID, changes: ChangeType[], upToDate: boolean, sourceHead: string, targetHead?: string);
    get new(): boolean;
    get changed(): boolean;
    get dependencyChanged(): boolean;
    get sourceCodeChanged(): boolean;
    get changeType(): ChangeType;
    toObject(): {
        componentId: string;
        changes: ChangeType[];
        upToDate: boolean;
        sourceHead: string;
        targetHead: string;
    };
    static from(plainComponentDiff: PlainLaneComponentDiff): LaneComponentDiff;
}
